unit About;
// Description: About Dialog
// By Sarah Dean
//
// -----------------------------------------------------------------------------
// Version history:
// 1.00 - 16th May 1999
//        Initial release
//
// 1.10 - 17th May 1999
//        Updated software description and size of dialog
//
// 2.1.0 - 16th July 1999
//         Added flash for use when releasing beta versions


interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, SDUURLLabel;

type
  TfrmAbout = class(TForm)
    pbOK: TButton;
    Image1: TImage;
    lblAppID: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    lblBeta: TLabel;
    SDUURLLabel1: TSDUURLLabel;
    procedure FormShow(Sender: TObject);
  private
  public
  end;

implementation

{$R *.DFM}

uses
  SDUGeneral,
  AppGlobalConsts;

procedure TfrmAbout.FormShow(Sender: TObject);
var
  majorVersion   : integer;
  minorVersion   : integer;
  revisionVersion: integer;
  buildVersion   : integer;
begin
  SDUGetVersionInfo('', majorVersion, minorVersion, revisionVersion, buildVersion);
  lblAppID.caption := 'v'+SDUGetVersionInfoString('');
  if APP_BETA_BUILD>-1 then
    begin
    lblAppID.caption := lblAppID.caption + ' BETA '+inttostr(APP_BETA_BUILD);
    end;

  lblBeta.visible := (APP_BETA_BUILD>-1);

end;

END.

